package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRoleType;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRoleType] 服务对象接口
 */
public interface IUserRoleTypeClientService{

    public IUserRoleType createModel() ;

    public void checkKey(IUserRoleType userroletype);

    public void getDraft(IUserRoleType userroletype);

    public void save(IUserRoleType userroletype);

    public void create(IUserRoleType userroletype);

    public void get(IUserRoleType userroletype);

    public void remove(IUserRoleType userroletype);

    public void update(IUserRoleType userroletype);

    public Page<IUserRoleType> fetchDefault(SearchContext context);

}
